#! /bin/sh
#----------------------------------------------------------------------------
# /var/install/dialog.d/PPPOE_SYNC_TYPE_CUI.sh - script dialog for ece
#
# Creation:     2010-10-08 hbfl
# Last update:  $Id: DSL_PPPOE_SYNC_TYPE.sh 77706 2020-05-28 15:49:23Z hbfl $
#
# Copyright (c) 2010-2020 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="${p2}"

    sellist="async,sync"

    ece_select_list_dlg "${win}" "PPPOE sync Type" "${sellist}"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
